> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get security group

> Get detailed information about a specific security group.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/securitygroups/{project_id}/{region_id}/{group_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/securitygroups/{project_id}/{region_id}/{group_id}:
    get:
      tags:
        - Security Groups
      summary: Get security group
      description: Get detailed information about a specific security group.
      operationId: SecurityGroupInstanceViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: group_id
          required: true
          description: Group ID
          schema:
            description: Group ID
            example: 024a29e9-b4b7-4c91-9a46-505be123d9f8
            examples:
              - 024a29e9-b4b7-4c91-9a46-505be123d9f8
            format: uuid4
            title: Group Id
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityGroupSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            security_group = client.cloud.security_groups.get(
                group_id="024a29e9-b4b7-4c91-9a46-505be123d9f8",
                project_id=1,
                region_id=1,
            )
            print(security_group.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tsecurityGroup, err := client.Cloud.SecurityGroups.Get(\n\t\tcontext.TODO(),\n\t\t\"024a29e9-b4b7-4c91-9a46-505be123d9f8\",\n\t\tcloud.SecurityGroupGetParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t\tRegionID:  gcore.Int(1),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", securityGroup.ID)\n}\n"
components:
  schemas:
    SecurityGroupSerializer:
      properties:
        created_at:
          description: Datetime when the security group was created
          example: 2019-06-18T11:56:16+0000
          examples:
            - 2019-06-18T11:56:16+0000
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Security group description
          examples:
            - Some description
          title: Description
          x-stainless-terraform-configurability: computed_optional
        id:
          description: Security group ID
          example: 00000000-0000-4000-8000-000000000000
          examples:
            - 00000000-0000-4000-8000-000000000000
          format: uuid4
          title: Id
          type: string
        name:
          description: Security group name
          example: my_security_group
          examples:
            - my_security_group
          pattern: ^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$
          title: Name
          type: string
          x-stainless-terraform-configurability: required
        project_id:
          description: Project ID
          example: 1337
          examples:
            - 1337
          title: Project Id
          type: integer
        region:
          description: Region name
          example: Luxembourg 1
          examples:
            - Luxembourg 1
          title: Region
          type: string
        region_id:
          description: Region ID
          example: 7
          examples:
            - 7
          title: Region Id
          type: integer
        revision_number:
          description: The number of revisions
          example: 1
          examples:
            - 1
          title: Revision Number
          type: integer
        security_group_rules:
          description: Security group rules
          items:
            $ref: '#/components/schemas/SecurityGroupRuleSerializer'
          title: Security Group Rules
          type: array
          x-stainless-terraform-configurability: computed_optional
        tags_v2:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags V2
          type: array
        updated_at:
          description: Datetime when the security group was last updated
          example: 2019-06-18T11:57:00+0000
          examples:
            - 2019-06-18T11:57:00+0000
          format: date-time
          title: Updated At
          type: string
      required:
        - project_id
        - region_id
        - region
        - id
        - name
        - created_at
        - updated_at
        - revision_number
        - tags_v2
      title: SecurityGroupSerializer
      type: object
    SecurityGroupRuleSerializer:
      properties:
        created_at:
          description: Datetime when the rule was created
          example: 2019-06-18T11:56:16+0000
          examples:
            - 2019-06-18T11:56:16+0000
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Rule description
          examples:
            - Some description
          title: Description
        direction:
          description: >-
            Ingress or egress, which is the direction in which the security
            group rule is applied
          enum:
            - egress
            - ingress
          title: Direction
          type: string
        ethertype:
          anyOf:
            - enum:
                - IPv4
                - IPv6
              type: string
            - type: 'null'
          description: >-
            Must be IPv4 or IPv6, and addresses represented in CIDR must match
            the ingress or egress rules.
          examples:
            - IPv4
          title: Ethertype
        id:
          description: The ID of the security group rule
          example: 00000000-0000-4000-8000-000000000000
          examples:
            - 00000000-0000-4000-8000-000000000000
          format: uuid4
          title: Id
          type: string
        port_range_max:
          anyOf:
            - maximum: 65535
              minimum: 0
              type: integer
            - type: 'null'
          description: >-
            The maximum port number in the range that is matched by the security
            group rule
          examples:
            - 80
          title: Port Range Max
        port_range_min:
          anyOf:
            - maximum: 65535
              minimum: 0
              type: integer
            - type: 'null'
          description: >-
            The minimum port number in the range that is matched by the security
            group rule
          examples:
            - 80
          title: Port Range Min
        protocol:
          anyOf:
            - $ref: '#/components/schemas/SecurityGroupProtocolEnum'
            - type: 'null'
          description: Protocol
          examples:
            - tcp
        remote_group_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: The remote group UUID to associate with this security group rule
          examples:
            - - 00000000-0000-4000-8000-000000000000
          title: Remote Group Id
        remote_ip_prefix:
          anyOf:
            - format: ipvanynetwork
              type: string
            - type: 'null'
          description: The remote IP prefix that is matched by this security group rule
          examples:
            - 10.0.0.0/8
          title: Remote Ip Prefix
        revision_number:
          description: The revision number of the resource
          example: 0
          examples:
            - 0
          title: Revision Number
          type: integer
        security_group_id:
          description: The security group ID to associate with this security group rule
          example: 00000000-0000-4000-8000-000000000000
          examples:
            - 00000000-0000-4000-8000-000000000000
          format: uuid4
          title: Security Group Id
          type: string
        updated_at:
          description: Datetime when the rule was last updated
          example: 2019-06-18T11:57:00+0000
          examples:
            - 2019-06-18T11:57:00+0000
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - security_group_id
        - created_at
        - updated_at
        - revision_number
        - ethertype
        - description
        - remote_group_id
        - port_range_min
        - port_range_max
        - remote_ip_prefix
        - protocol
        - direction
      title: SecurityGroupRuleSerializer
      type: object
    TagSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      properties:
        key:
          description: >-
            Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag
          examples:
            - my-tag
          title: Key
          type: string
        read_only:
          description: If true, the tag is read-only and cannot be modified by the user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        value:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag-value
          examples:
            - my-tag-value
          title: Value
          type: string
      required:
        - key
        - value
        - read_only
      title: TagSerializer
      type: object
    SecurityGroupProtocolEnum:
      enum:
        - ah
        - any
        - dccp
        - egp
        - esp
        - gre
        - icmp
        - igmp
        - ipencap
        - ipip
        - ipv6-encap
        - ipv6-frag
        - ipv6-icmp
        - ipv6-nonxt
        - ipv6-opts
        - ipv6-route
        - ospf
        - pgm
        - rsvp
        - sctp
        - tcp
        - udp
        - udplite
        - vrrp
      title: SecurityGroupProtocolEnum
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````